Attribute VB_Name = "basMain"
' ======================================================================
' Copyright (C) 1996, Patrick J. Cuff Jr.
'
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Library General Public
' License as published by the Free Software Foundation; either
' version 2 of the License, or any later version.
'
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Library General Public License for more details.
'
' You should have received a copy of the GNU Library General Public
' License along with this library; if not, write to the
' Free Software Foundation, Inc., 59 Temple Place - Suite 330, Cambridge,
' MA 02139, USA.
' ======================================================================
' CLogFileMain.BAS -- Log File Main routines.
' ----------------------------------------------------------------------
' This module contains declarations and constants needed by CLogFile class.
' ======================================================================
' Revision History:
'    Date     Programmer                Description
' ----------  ------------------------  --------------------------------
' 12-02-1996  Patrick J. Cuff Jr.       Original program logic
' ======================================================================
Option Explicit

' ----------------------------------------------------------------------
' External Function Declarations
' ----------------------------------------------------------------------
Declare Function GetComputerName Lib "kernel32" Alias "GetComputerNameA" (ByVal lpBuffer As String, nSize As Long) As Long
Declare Function GetUserName Lib "advapi32.dll" Alias "GetUserNameA" (ByVal lpBuffer As String, nSize As Long) As Long
' ======================================================================
' Function:
'   FileExists
'
' Description:
'   This function determines whether a given file exists or not.
'
' Parameters:
'   Name                Use Description
'   ------------------- --- --------------------------------------------
'   sFileName            I  Fully qualified path and file name to test.
'
' Returns:
'   Integer -- Returns True if the file exists, False otherwise.
'
' Revision History:
'    Date     Programmer                Description
' ----------  ------------------------  --------------------------------
' 12-02-1996  Patrick J. Cuff Jr.       Original program logic
' ======================================================================
Function FileExists%(ByVal sFileName As String)
    Dim iFileNumber As Integer    ' Next available file handle.

    iFileNumber = FreeFile

    On Error Resume Next    ' In-line error handling.
    Open sFileName For Input As iFileNumber
    If Err = 0 Then
        FileExists% = True
    Else
        FileExists% = False
    End If
    
    Close iFileNumber
End Function
' ======================================================================
' Sub:
'   Main
'
' Description:
'   Initialization code for the OLE Server.  Sub Main() is required
'   so that the application doesn't have to show a startup form.
'
' Revision History:
'    Date     Programmer                Description
' ----------  ------------------------  --------------------------------
' 12-02-1996  Patrick J. Cuff Jr.       Original program logic
' ======================================================================
Sub Main()
    ' Continue
End Sub
